IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/24
Addresses2^104
/64 networks2^40
- Network
ff00:8a00::/24- First address
ff00:8a00::- Last address
ff00:8aff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 20,282,409,603,651,670,423,947,251,286,016 (2^104)
- /64 networks (LANs)
- 1,099,511,627,776 (2^40)
- Full form
ff00:8a00:0000:0000:0000:0000:0000:0000- Type
- Multicast ff00::/8
One-to-many traffic; replaces broadcast - Reverse DNS zone
a.8.0.0.f.f.ip6.arpa
Split into smaller subnets
ff00:8a00::/24 makes 256 subnets of /32.
| # | Subnet | Last address |
|---|---|---|
| 1 | ff00:8a00::/32 | ff00:8a00:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | ff00:8a01::/32 | ff00:8a01:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | ff00:8a02::/32 | ff00:8a02:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | ff00:8a03::/32 | ff00:8a03:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | ff00:8a04::/32 | ff00:8a04:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | ff00:8a05::/32 | ff00:8a05:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | ff00:8a06::/32 | ff00:8a06:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | ff00:8a07::/32 | ff00:8a07:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | ff00:8a08::/32 | ff00:8a08:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | ff00:8a09::/32 | ff00:8a09:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | ff00:8a0a::/32 | ff00:8a0a:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | ff00:8a0b::/32 | ff00:8a0b:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | ff00:8a0c::/32 | ff00:8a0c:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | ff00:8a0d::/32 | ff00:8a0d:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | ff00:8a0e::/32 | ff00:8a0e:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | ff00:8a0f::/32 | ff00:8a0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | ff00:8a10::/32 | ff00:8a10:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | ff00:8a11::/32 | ff00:8a11:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | ff00:8a12::/32 | ff00:8a12:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | ff00:8a13::/32 | ff00:8a13:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | ff00:8a14::/32 | ff00:8a14:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | ff00:8a15::/32 | ff00:8a15:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | ff00:8a16::/32 | ff00:8a16:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | ff00:8a17::/32 | ff00:8a17:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | ff00:8a18::/32 | ff00:8a18:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | ff00:8a19::/32 | ff00:8a19:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | ff00:8a1a::/32 | ff00:8a1a:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | ff00:8a1b::/32 | ff00:8a1b:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | ff00:8a1c::/32 | ff00:8a1c:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | ff00:8a1d::/32 | ff00:8a1d:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | ff00:8a1e::/32 | ff00:8a1e:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | ff00:8a1f::/32 | ff00:8a1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | ff00:8a20::/32 | ff00:8a20:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | ff00:8a21::/32 | ff00:8a21:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | ff00:8a22::/32 | ff00:8a22:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | ff00:8a23::/32 | ff00:8a23:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | ff00:8a24::/32 | ff00:8a24:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | ff00:8a25::/32 | ff00:8a25:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | ff00:8a26::/32 | ff00:8a26:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | ff00:8a27::/32 | ff00:8a27:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | ff00:8a28::/32 | ff00:8a28:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | ff00:8a29::/32 | ff00:8a29:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | ff00:8a2a::/32 | ff00:8a2a:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | ff00:8a2b::/32 | ff00:8a2b:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | ff00:8a2c::/32 | ff00:8a2c:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | ff00:8a2d::/32 | ff00:8a2d:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | ff00:8a2e::/32 | ff00:8a2e:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | ff00:8a2f::/32 | ff00:8a2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | ff00:8a30::/32 | ff00:8a30:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | ff00:8a31::/32 | ff00:8a31:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | ff00:8a32::/32 | ff00:8a32:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | ff00:8a33::/32 | ff00:8a33:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | ff00:8a34::/32 | ff00:8a34:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | ff00:8a35::/32 | ff00:8a35:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | ff00:8a36::/32 | ff00:8a36:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | ff00:8a37::/32 | ff00:8a37:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | ff00:8a38::/32 | ff00:8a38:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | ff00:8a39::/32 | ff00:8a39:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | ff00:8a3a::/32 | ff00:8a3a:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | ff00:8a3b::/32 | ff00:8a3b:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | ff00:8a3c::/32 | ff00:8a3c:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | ff00:8a3d::/32 | ff00:8a3d:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | ff00:8a3e::/32 | ff00:8a3e:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | ff00:8a3f::/32 | ff00:8a3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | ff00:8a40::/32 | ff00:8a40:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | ff00:8a41::/32 | ff00:8a41:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | ff00:8a42::/32 | ff00:8a42:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | ff00:8a43::/32 | ff00:8a43:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | ff00:8a44::/32 | ff00:8a44:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | ff00:8a45::/32 | ff00:8a45:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | ff00:8a46::/32 | ff00:8a46:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | ff00:8a47::/32 | ff00:8a47:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | ff00:8a48::/32 | ff00:8a48:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | ff00:8a49::/32 | ff00:8a49:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | ff00:8a4a::/32 | ff00:8a4a:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | ff00:8a4b::/32 | ff00:8a4b:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | ff00:8a4c::/32 | ff00:8a4c:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | ff00:8a4d::/32 | ff00:8a4d:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | ff00:8a4e::/32 | ff00:8a4e:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | ff00:8a4f::/32 | ff00:8a4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | ff00:8a50::/32 | ff00:8a50:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | ff00:8a51::/32 | ff00:8a51:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | ff00:8a52::/32 | ff00:8a52:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | ff00:8a53::/32 | ff00:8a53:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | ff00:8a54::/32 | ff00:8a54:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | ff00:8a55::/32 | ff00:8a55:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | ff00:8a56::/32 | ff00:8a56:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | ff00:8a57::/32 | ff00:8a57:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | ff00:8a58::/32 | ff00:8a58:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | ff00:8a59::/32 | ff00:8a59:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | ff00:8a5a::/32 | ff00:8a5a:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | ff00:8a5b::/32 | ff00:8a5b:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | ff00:8a5c::/32 | ff00:8a5c:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | ff00:8a5d::/32 | ff00:8a5d:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | ff00:8a5e::/32 | ff00:8a5e:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | ff00:8a5f::/32 | ff00:8a5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | ff00:8a60::/32 | ff00:8a60:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | ff00:8a61::/32 | ff00:8a61:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | ff00:8a62::/32 | ff00:8a62:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | ff00:8a63::/32 | ff00:8a63:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | ff00:8a64::/32 | ff00:8a64:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | ff00:8a65::/32 | ff00:8a65:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | ff00:8a66::/32 | ff00:8a66:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | ff00:8a67::/32 | ff00:8a67:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | ff00:8a68::/32 | ff00:8a68:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | ff00:8a69::/32 | ff00:8a69:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | ff00:8a6a::/32 | ff00:8a6a:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | ff00:8a6b::/32 | ff00:8a6b:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | ff00:8a6c::/32 | ff00:8a6c:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | ff00:8a6d::/32 | ff00:8a6d:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | ff00:8a6e::/32 | ff00:8a6e:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | ff00:8a6f::/32 | ff00:8a6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | ff00:8a70::/32 | ff00:8a70:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | ff00:8a71::/32 | ff00:8a71:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | ff00:8a72::/32 | ff00:8a72:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | ff00:8a73::/32 | ff00:8a73:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | ff00:8a74::/32 | ff00:8a74:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | ff00:8a75::/32 | ff00:8a75:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | ff00:8a76::/32 | ff00:8a76:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | ff00:8a77::/32 | ff00:8a77:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | ff00:8a78::/32 | ff00:8a78:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | ff00:8a79::/32 | ff00:8a79:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | ff00:8a7a::/32 | ff00:8a7a:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | ff00:8a7b::/32 | ff00:8a7b:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | ff00:8a7c::/32 | ff00:8a7c:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | ff00:8a7d::/32 | ff00:8a7d:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | ff00:8a7e::/32 | ff00:8a7e:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | ff00:8a7f::/32 | ff00:8a7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | ff00:8a80::/32 | ff00:8a80:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | ff00:8a81::/32 | ff00:8a81:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | ff00:8a82::/32 | ff00:8a82:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | ff00:8a83::/32 | ff00:8a83:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | ff00:8a84::/32 | ff00:8a84:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | ff00:8a85::/32 | ff00:8a85:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | ff00:8a86::/32 | ff00:8a86:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | ff00:8a87::/32 | ff00:8a87:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | ff00:8a88::/32 | ff00:8a88:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | ff00:8a89::/32 | ff00:8a89:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | ff00:8a8a::/32 | ff00:8a8a:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | ff00:8a8b::/32 | ff00:8a8b:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | ff00:8a8c::/32 | ff00:8a8c:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | ff00:8a8d::/32 | ff00:8a8d:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | ff00:8a8e::/32 | ff00:8a8e:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | ff00:8a8f::/32 | ff00:8a8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | ff00:8a90::/32 | ff00:8a90:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | ff00:8a91::/32 | ff00:8a91:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | ff00:8a92::/32 | ff00:8a92:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | ff00:8a93::/32 | ff00:8a93:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | ff00:8a94::/32 | ff00:8a94:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | ff00:8a95::/32 | ff00:8a95:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | ff00:8a96::/32 | ff00:8a96:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | ff00:8a97::/32 | ff00:8a97:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | ff00:8a98::/32 | ff00:8a98:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | ff00:8a99::/32 | ff00:8a99:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | ff00:8a9a::/32 | ff00:8a9a:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | ff00:8a9b::/32 | ff00:8a9b:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | ff00:8a9c::/32 | ff00:8a9c:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | ff00:8a9d::/32 | ff00:8a9d:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | ff00:8a9e::/32 | ff00:8a9e:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | ff00:8a9f::/32 | ff00:8a9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | ff00:8aa0::/32 | ff00:8aa0:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | ff00:8aa1::/32 | ff00:8aa1:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | ff00:8aa2::/32 | ff00:8aa2:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | ff00:8aa3::/32 | ff00:8aa3:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | ff00:8aa4::/32 | ff00:8aa4:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | ff00:8aa5::/32 | ff00:8aa5:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | ff00:8aa6::/32 | ff00:8aa6:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | ff00:8aa7::/32 | ff00:8aa7:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | ff00:8aa8::/32 | ff00:8aa8:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | ff00:8aa9::/32 | ff00:8aa9:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | ff00:8aaa::/32 | ff00:8aaa:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | ff00:8aab::/32 | ff00:8aab:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | ff00:8aac::/32 | ff00:8aac:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | ff00:8aad::/32 | ff00:8aad:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | ff00:8aae::/32 | ff00:8aae:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | ff00:8aaf::/32 | ff00:8aaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | ff00:8ab0::/32 | ff00:8ab0:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | ff00:8ab1::/32 | ff00:8ab1:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | ff00:8ab2::/32 | ff00:8ab2:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | ff00:8ab3::/32 | ff00:8ab3:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | ff00:8ab4::/32 | ff00:8ab4:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | ff00:8ab5::/32 | ff00:8ab5:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | ff00:8ab6::/32 | ff00:8ab6:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | ff00:8ab7::/32 | ff00:8ab7:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | ff00:8ab8::/32 | ff00:8ab8:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | ff00:8ab9::/32 | ff00:8ab9:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | ff00:8aba::/32 | ff00:8aba:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | ff00:8abb::/32 | ff00:8abb:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | ff00:8abc::/32 | ff00:8abc:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | ff00:8abd::/32 | ff00:8abd:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | ff00:8abe::/32 | ff00:8abe:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | ff00:8abf::/32 | ff00:8abf:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | ff00:8ac0::/32 | ff00:8ac0:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | ff00:8ac1::/32 | ff00:8ac1:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | ff00:8ac2::/32 | ff00:8ac2:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | ff00:8ac3::/32 | ff00:8ac3:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | ff00:8ac4::/32 | ff00:8ac4:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | ff00:8ac5::/32 | ff00:8ac5:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | ff00:8ac6::/32 | ff00:8ac6:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | ff00:8ac7::/32 | ff00:8ac7:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | ff00:8ac8::/32 | ff00:8ac8:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | ff00:8ac9::/32 | ff00:8ac9:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | ff00:8aca::/32 | ff00:8aca:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | ff00:8acb::/32 | ff00:8acb:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | ff00:8acc::/32 | ff00:8acc:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | ff00:8acd::/32 | ff00:8acd:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | ff00:8ace::/32 | ff00:8ace:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | ff00:8acf::/32 | ff00:8acf:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | ff00:8ad0::/32 | ff00:8ad0:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | ff00:8ad1::/32 | ff00:8ad1:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | ff00:8ad2::/32 | ff00:8ad2:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | ff00:8ad3::/32 | ff00:8ad3:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | ff00:8ad4::/32 | ff00:8ad4:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | ff00:8ad5::/32 | ff00:8ad5:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | ff00:8ad6::/32 | ff00:8ad6:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | ff00:8ad7::/32 | ff00:8ad7:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | ff00:8ad8::/32 | ff00:8ad8:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | ff00:8ad9::/32 | ff00:8ad9:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | ff00:8ada::/32 | ff00:8ada:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | ff00:8adb::/32 | ff00:8adb:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | ff00:8adc::/32 | ff00:8adc:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | ff00:8add::/32 | ff00:8add:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | ff00:8ade::/32 | ff00:8ade:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | ff00:8adf::/32 | ff00:8adf:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | ff00:8ae0::/32 | ff00:8ae0:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | ff00:8ae1::/32 | ff00:8ae1:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | ff00:8ae2::/32 | ff00:8ae2:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | ff00:8ae3::/32 | ff00:8ae3:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | ff00:8ae4::/32 | ff00:8ae4:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | ff00:8ae5::/32 | ff00:8ae5:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | ff00:8ae6::/32 | ff00:8ae6:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | ff00:8ae7::/32 | ff00:8ae7:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | ff00:8ae8::/32 | ff00:8ae8:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | ff00:8ae9::/32 | ff00:8ae9:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | ff00:8aea::/32 | ff00:8aea:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | ff00:8aeb::/32 | ff00:8aeb:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | ff00:8aec::/32 | ff00:8aec:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | ff00:8aed::/32 | ff00:8aed:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | ff00:8aee::/32 | ff00:8aee:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | ff00:8aef::/32 | ff00:8aef:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | ff00:8af0::/32 | ff00:8af0:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | ff00:8af1::/32 | ff00:8af1:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | ff00:8af2::/32 | ff00:8af2:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | ff00:8af3::/32 | ff00:8af3:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | ff00:8af4::/32 | ff00:8af4:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | ff00:8af5::/32 | ff00:8af5:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | ff00:8af6::/32 | ff00:8af6:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | ff00:8af7::/32 | ff00:8af7:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | ff00:8af8::/32 | ff00:8af8:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | ff00:8af9::/32 | ff00:8af9:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | ff00:8afa::/32 | ff00:8afa:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | ff00:8afb::/32 | ff00:8afb:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | ff00:8afc::/32 | ff00:8afc:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | ff00:8afd::/32 | ff00:8afd:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | ff00:8afe::/32 | ff00:8afe:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | ff00:8aff::/32 | ff00:8aff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |